メインコンテンツへスキップ
PUT
/
integration_mappings
/
teams
/
{integration_mapping_id}
cURL
curl -L -X PUT "https://api.box.com/2.0/integration_mappings/teams/12345" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H 'content-type: application/json'
user_client.integration_mappings.update_teams_integration_mapping_by_id(
    integration_mapping_id, box_item=FolderReference(id="1234567")
)
await userClient.integrationMappings.updateTeamsIntegrationMappingById(
  integrationMappingId,
  {
    requestBody: {
      boxItem: new FolderReference({ id: '1234567' }),
    } satisfies UpdateTeamsIntegrationMappingByIdRequestBody,
  } satisfies UpdateTeamsIntegrationMappingByIdOptionalsInput,
);
try await userClient.integrationMappings.updateTeamsIntegrationMappingById(integrationMappingId: integrationMappingId, requestBody: UpdateTeamsIntegrationMappingByIdRequestBody(boxItem: FolderReference(id: "1234567")))
userClient.getIntegrationMappings().updateTeamsIntegrationMappingById(integrationMappingId, new UpdateTeamsIntegrationMappingByIdRequestBody.Builder().boxItem(new FolderReference("1234567")).build())
await userClient.IntegrationMappings.UpdateTeamsIntegrationMappingByIdAsync(integrationMappingId: integrationMappingId, requestBody: new UpdateTeamsIntegrationMappingByIdRequestBody() { BoxItem = new FolderReference(id: "1234567") });
{
  "id": "12345",
  "type": "integration_mapping",
  "partner_item": {
    "id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
    "type": "channel",
    "tenant_id": "E1234567"
  },
  "box_item": {
    "type": "folder",
    "id": "42037322"
  },
  "integration_type": "teams",
  "is_overridden_by_manual_mapping": true,
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00"
}
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}
{
  "type": "error",
  "status": 400,
  "code": "item_name_invalid",
  "message": "Method Not Allowed",
  "context_info": {
    "message": "Something went wrong"
  },
  "help_url": "https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/",
  "request_id": "abcdef123456"
}
このリソースは、バージョン2024.0のエンドポイントで使用されています。 詳細については、 Box APIのバージョン管理を参照してください。Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

パスパラメータ

integration_mapping_id
string
必須

統合マッピングのID。

ボディ

application/json
box_item
フォルダの参照 · object

パートナーアプリのドメインのオブジェクトのマッピング先であるBoxフォルダ。

レスポンス

更新された統合マッピングオブジェクトを返します。

統合マッピングオブジェクトのMicrosoft Teams固有のレプリゼンテーション。

id
string
必須

フォルダマッピングの一意の識別子 (integration_typeとともに複合キーの一部)。

:

"12345"

type
enum<string>
必須

マッピングタイプ。

利用可能なオプション:
integration_mapping
:

"integration_mapping"

partner_item
Teamsタイプの統合マッピングのマッピングされた項目スキーマ · object
必須

Teams用にマッピングされた項目オブジェクト。

:
{
  "id": "19%3ABCD-Avgfggkggyftdtfgghjhkhkhh%40thread:tacv2",
  "type": "channel",
  "tenant_id": "E1234567"
}
box_item
フォルダの参照 · object
必須

パートナーアプリのドメインのオブジェクト (partner_item_idで参照) のマッピング先であるBoxフォルダ。

integration_type
enum<string>

マッピングが関連付けられているBoxパートナーアプリを示します。SlackとTeamsがサポートされています (idとともに複合キーの一部)。

利用可能なオプション:
teams
:

"teams"

is_overridden_by_manual_mapping
boolean

マッピングが (自動作成されたのではなく) チーム所有者によってチャネルのUIから手動で設定されているかどうかを示します。

:

true

created_at
string<date-time>

統合マッピングオブジェクトが作成された日時。

:

"2012-12-12T10:53:43-08:00"

modified_at
string<date-time>

統合マッピングオブジェクトが最後に変更された日時。

:

"2012-12-12T10:53:43-08:00"

最終更新日 2026年1月23日